org.apache.olingo.server.api.uri

## Interface UriResourceFunction

- All Superinterfaces:
    UriResource, UriResourcePartTyped

      public interface UriResourceFunction
      extends UriResourcePartTyped

  Used to describe an function import or bound function used within an resource path For example: http://.../serviceroot/functionImport(P1=1,P2='A')

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `EdmFunction` | `getFunction()` If the resource path specifies a function import this method will deliver the unbound function for the function import.
    `EdmFunctionImport` | `getFunctionImport()` Convenience method which returns the `EdmFunctionImport` which was used in the resource path to define the `EdmFunction`.
    `List<UriParameter>` | `getKeyPredicates()`
    `List<UriParameter>` | `getParameters()`
    `EdmType` | `getTypeFilterOnCollection()`
    `EdmType` | `getTypeFilterOnEntry()`

    - ### Methods inherited from interface org.apache.olingo.server.api.uri.UriResourcePartTyped

      `getSegmentValue, getType, isCollection, toString`

    - ### Methods inherited from interface org.apache.olingo.server.api.uri.UriResource

      `getKind, getSegmentValue, toString`

- - ### Method Detail

    - #### getFunction

          EdmFunction getFunction()

      If the resource path specifies a function import this method will deliver the unbound function for the function import.
      Returns:
        Function used in the resource path or function import

    - #### getFunctionImport

          EdmFunctionImport getFunctionImport()

      Convenience method which returns the `EdmFunctionImport` which was used in the resource path to define the `EdmFunction`.
      Returns:
        Function Import used in the resource path

    - #### getKeyPredicates

          List<UriParameter> getKeyPredicates()

      Returns:
        Key predicates if used, otherwise an empty list

    - #### getParameters

          List<UriParameter> getParameters()

      Returns:
        List of function parameters

    - #### getTypeFilterOnCollection

          EdmType getTypeFilterOnCollection()

      Returns:
        Type filter before key predicates if used, otherwise null

    - #### getTypeFilterOnEntry

          EdmType getTypeFilterOnEntry()

      Returns:
        Type filter behind key predicates if used, otherwise null

Copyright © 2013–2022 The Apache Software Foundation. All rights reserved.